<?php
/**
 * JE GroupBuy package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2011 - 2012 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/

defined('_JEXEC') or die;
defined('DS') or define('DS', DIRECTORY_SEPARATOR);

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('dropdown.init');
JHtml::_('formbehavior.chosen', 'select');

// Access check.
	if (!JFactory::getUser()->authorise('core.manage', 'com_jetestimonial')) {
		return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
	}

// For themes
	JHtml::_('stylesheet','administrator/components/com_jegroupbuy/assets/css/style.css', false);

// require helper file
JLoader::register('jegroupbuyHelper', dirname(__FILE__) . DS . 'helpers' . DS . 'jegroupbuy.php');
// Include dependancies
jimport('joomla.application.component.controller');

// Execute the task.
$controller	= JControllerLegacy::getInstance('jegroupbuy');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
?>